<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>LanguageImpl xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../../../apidocs/org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/LanguageImpl.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * Copyright (c) 2017 CEA LIST and Thales</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> * </em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * are made available under the terms of the Eclipse Public License v1.0</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> * which accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl;
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <strong class="jxr_keyword">import</strong> java.lang.reflect.InvocationTargetException;
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <strong class="jxr_keyword">import</strong> java.util.Map;
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.common.notify.Notification;
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.common.util.BasicDiagnostic;
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.common.util.Diagnostic;
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.common.util.DiagnosticChain;
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.common.util.EList;
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.EClass;
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.InternalEObject;
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.impl.ENotificationImpl;
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.impl.MinimalEObjectImpl;
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.plugin.EcorePlugin;
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  <strong class="jxr_keyword">import</strong> org.eclipse.emf.ecore.util.EObjectValidator;
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.Language;
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.Ucm_technicalpoliciesPackage;
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.util.Ucm_technicalpoliciesValidator;
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  <em class="jxr_javadoccomment"> * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  <em class="jxr_javadoccomment"> * An implementation of the model object '&lt;em&gt;&lt;b&gt;Language&lt;/b&gt;&lt;/em&gt;'.</em>
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  <em class="jxr_javadoccomment"> * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  <em class="jxr_javadoccomment"> * &lt;p&gt;</em>
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  <em class="jxr_javadoccomment"> * The following features are implemented:</em>
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  <em class="jxr_javadoccomment"> * &lt;/p&gt;</em>
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  <em class="jxr_javadoccomment"> * &lt;ul&gt;</em>
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  <em class="jxr_javadoccomment"> *   &lt;li&gt;{@link org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_technicalpolicies.impl.LanguageImpl#getBase_Class &lt;em&gt;Base Class&lt;/em&gt;}&lt;/li&gt;</em>
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  <em class="jxr_javadoccomment"> * &lt;/ul&gt;</em>
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  <em class="jxr_javadoccomment"> * @generated</em>
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/LanguageImpl.html">LanguageImpl</a> <strong class="jxr_keyword">extends</strong> MinimalEObjectImpl.Container <strong class="jxr_keyword">implements</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/Language.html">Language</a> {
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  <em class="jxr_javadoccomment">	 * The cached value of the '{@link #getBase_Class() &lt;em&gt;Base Class&lt;/em&gt;}' reference.</em>
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  <em class="jxr_javadoccomment">	 * @see #getBase_Class()</em>
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  <em class="jxr_javadoccomment">	 * @ordered</em>
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  	<strong class="jxr_keyword">protected</strong> org.eclipse.uml2.uml.Class base_Class;
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L65" href="#L65">65</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  	<strong class="jxr_keyword">protected</strong> <a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_technicalpolicies/impl/LanguageImpl.html">LanguageImpl</a>() {
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  		<strong class="jxr_keyword">super</strong>();
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  	}
<a class="jxr_linenumber" name="L69" href="#L69">69</a>  
<a class="jxr_linenumber" name="L70" href="#L70">70</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L71" href="#L71">71</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L73" href="#L73">73</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L74" href="#L74">74</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L75" href="#L75">75</a>  	@Override
<a class="jxr_linenumber" name="L76" href="#L76">76</a>  	<strong class="jxr_keyword">protected</strong> EClass eStaticClass() {
<a class="jxr_linenumber" name="L77" href="#L77">77</a>  		<strong class="jxr_keyword">return</strong> Ucm_technicalpoliciesPackage.Literals.LANGUAGE;
<a class="jxr_linenumber" name="L78" href="#L78">78</a>  	}
<a class="jxr_linenumber" name="L79" href="#L79">79</a>  
<a class="jxr_linenumber" name="L80" href="#L80">80</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L81" href="#L81">81</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L82" href="#L82">82</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L83" href="#L83">83</a>  <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L84" href="#L84">84</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L85" href="#L85">85</a>  	<strong class="jxr_keyword">public</strong> org.eclipse.uml2.uml.Class getBase_Class() {
<a class="jxr_linenumber" name="L86" href="#L86">86</a>  		<strong class="jxr_keyword">if</strong> (base_Class != <strong class="jxr_keyword">null</strong> &amp;&amp; base_Class.eIsProxy()) {
<a class="jxr_linenumber" name="L87" href="#L87">87</a>  			InternalEObject oldBase_Class = (InternalEObject)base_Class;
<a class="jxr_linenumber" name="L88" href="#L88">88</a>  			base_Class = (org.eclipse.uml2.uml.Class)eResolveProxy(oldBase_Class);
<a class="jxr_linenumber" name="L89" href="#L89">89</a>  			<strong class="jxr_keyword">if</strong> (base_Class != oldBase_Class) {
<a class="jxr_linenumber" name="L90" href="#L90">90</a>  				<strong class="jxr_keyword">if</strong> (eNotificationRequired())
<a class="jxr_linenumber" name="L91" href="#L91">91</a>  					eNotify(<strong class="jxr_keyword">new</strong> ENotificationImpl(<strong class="jxr_keyword">this</strong>, Notification.RESOLVE, Ucm_technicalpoliciesPackage.LANGUAGE__BASE_CLASS, oldBase_Class, base_Class));
<a class="jxr_linenumber" name="L92" href="#L92">92</a>  			}
<a class="jxr_linenumber" name="L93" href="#L93">93</a>  		}
<a class="jxr_linenumber" name="L94" href="#L94">94</a>  		<strong class="jxr_keyword">return</strong> base_Class;
<a class="jxr_linenumber" name="L95" href="#L95">95</a>  	}
<a class="jxr_linenumber" name="L96" href="#L96">96</a>  
<a class="jxr_linenumber" name="L97" href="#L97">97</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L98" href="#L98">98</a>  <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L99" href="#L99">99</a>  <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L100" href="#L100">100</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L101" href="#L101">101</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L102" href="#L102">102</a> 	<strong class="jxr_keyword">public</strong> org.eclipse.uml2.uml.Class basicGetBase_Class() {
<a class="jxr_linenumber" name="L103" href="#L103">103</a> 		<strong class="jxr_keyword">return</strong> base_Class;
<a class="jxr_linenumber" name="L104" href="#L104">104</a> 	}
<a class="jxr_linenumber" name="L105" href="#L105">105</a> 
<a class="jxr_linenumber" name="L106" href="#L106">106</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L107" href="#L107">107</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L108" href="#L108">108</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L109" href="#L109">109</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L110" href="#L110">110</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L111" href="#L111">111</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> setBase_Class(org.eclipse.uml2.uml.Class newBase_Class) {
<a class="jxr_linenumber" name="L112" href="#L112">112</a> 		org.eclipse.uml2.uml.Class oldBase_Class = base_Class;
<a class="jxr_linenumber" name="L113" href="#L113">113</a> 		base_Class = newBase_Class;
<a class="jxr_linenumber" name="L114" href="#L114">114</a> 		<strong class="jxr_keyword">if</strong> (eNotificationRequired())
<a class="jxr_linenumber" name="L115" href="#L115">115</a> 			eNotify(<strong class="jxr_keyword">new</strong> ENotificationImpl(<strong class="jxr_keyword">this</strong>, Notification.SET, Ucm_technicalpoliciesPackage.LANGUAGE__BASE_CLASS, oldBase_Class, base_Class));
<a class="jxr_linenumber" name="L116" href="#L116">116</a> 	}
<a class="jxr_linenumber" name="L117" href="#L117">117</a> 
<a class="jxr_linenumber" name="L118" href="#L118">118</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L119" href="#L119">119</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L120" href="#L120">120</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L121" href="#L121">121</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L122" href="#L122">122</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L123" href="#L123">123</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">boolean</strong> Constraint1(DiagnosticChain diagnostics, Map&lt;Object, Object&gt; context) {
<a class="jxr_linenumber" name="L124" href="#L124">124</a> 		<em class="jxr_comment">// TODO: implement this method</em>
<a class="jxr_linenumber" name="L125" href="#L125">125</a> 		<em class="jxr_comment">// -&gt; specify the condition that violates the invariant</em>
<a class="jxr_linenumber" name="L126" href="#L126">126</a> 		<em class="jxr_comment">// -&gt; verify the details of the diagnostic, including severity and message</em>
<a class="jxr_linenumber" name="L127" href="#L127">127</a> 		<em class="jxr_comment">// Ensure that you remove @generated or mark it @generated NOT</em>
<a class="jxr_linenumber" name="L128" href="#L128">128</a> 		<strong class="jxr_keyword">if</strong> (false) {
<a class="jxr_linenumber" name="L129" href="#L129">129</a> 			<strong class="jxr_keyword">if</strong> (diagnostics != <strong class="jxr_keyword">null</strong>) {
<a class="jxr_linenumber" name="L130" href="#L130">130</a> 				diagnostics.add
<a class="jxr_linenumber" name="L131" href="#L131">131</a> 					(<strong class="jxr_keyword">new</strong> BasicDiagnostic
<a class="jxr_linenumber" name="L132" href="#L132">132</a> 						(Diagnostic.ERROR,
<a class="jxr_linenumber" name="L133" href="#L133">133</a> 						 Ucm_technicalpoliciesValidator.DIAGNOSTIC_SOURCE,
<a class="jxr_linenumber" name="L134" href="#L134">134</a> 						 Ucm_technicalpoliciesValidator.LANGUAGE__CONSTRAINT1,
<a class="jxr_linenumber" name="L135" href="#L135">135</a> 						 EcorePlugin.INSTANCE.getString(<span class="jxr_string">"_UI_GenericInvariant_diagnostic"</span>, <strong class="jxr_keyword">new</strong> Object[] { <span class="jxr_string">"Constraint1"</span>, EObjectValidator.getObjectLabel(<strong class="jxr_keyword">this</strong>, context) }),
<a class="jxr_linenumber" name="L136" href="#L136">136</a> 						 <strong class="jxr_keyword">new</strong> Object [] { <strong class="jxr_keyword">this</strong> }));
<a class="jxr_linenumber" name="L137" href="#L137">137</a> 			}
<a class="jxr_linenumber" name="L138" href="#L138">138</a> 			<strong class="jxr_keyword">return</strong> false;
<a class="jxr_linenumber" name="L139" href="#L139">139</a> 		}
<a class="jxr_linenumber" name="L140" href="#L140">140</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">true</strong>;
<a class="jxr_linenumber" name="L141" href="#L141">141</a> 	}
<a class="jxr_linenumber" name="L142" href="#L142">142</a> 
<a class="jxr_linenumber" name="L143" href="#L143">143</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L144" href="#L144">144</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L145" href="#L145">145</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L146" href="#L146">146</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L147" href="#L147">147</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L148" href="#L148">148</a> 	@Override
<a class="jxr_linenumber" name="L149" href="#L149">149</a> 	<strong class="jxr_keyword">public</strong> Object eGet(<strong class="jxr_keyword">int</strong> featureID, <strong class="jxr_keyword">boolean</strong> resolve, <strong class="jxr_keyword">boolean</strong> coreType) {
<a class="jxr_linenumber" name="L150" href="#L150">150</a> 		<strong class="jxr_keyword">switch</strong> (featureID) {
<a class="jxr_linenumber" name="L151" href="#L151">151</a> 			<strong class="jxr_keyword">case</strong> Ucm_technicalpoliciesPackage.LANGUAGE__BASE_CLASS:
<a class="jxr_linenumber" name="L152" href="#L152">152</a> 				<strong class="jxr_keyword">if</strong> (resolve) <strong class="jxr_keyword">return</strong> getBase_Class();
<a class="jxr_linenumber" name="L153" href="#L153">153</a> 				<strong class="jxr_keyword">return</strong> basicGetBase_Class();
<a class="jxr_linenumber" name="L154" href="#L154">154</a> 		}
<a class="jxr_linenumber" name="L155" href="#L155">155</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">super</strong>.eGet(featureID, resolve, coreType);
<a class="jxr_linenumber" name="L156" href="#L156">156</a> 	}
<a class="jxr_linenumber" name="L157" href="#L157">157</a> 
<a class="jxr_linenumber" name="L158" href="#L158">158</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L159" href="#L159">159</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L160" href="#L160">160</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L161" href="#L161">161</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L162" href="#L162">162</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L163" href="#L163">163</a> 	@Override
<a class="jxr_linenumber" name="L164" href="#L164">164</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> eSet(<strong class="jxr_keyword">int</strong> featureID, Object newValue) {
<a class="jxr_linenumber" name="L165" href="#L165">165</a> 		<strong class="jxr_keyword">switch</strong> (featureID) {
<a class="jxr_linenumber" name="L166" href="#L166">166</a> 			<strong class="jxr_keyword">case</strong> Ucm_technicalpoliciesPackage.LANGUAGE__BASE_CLASS:
<a class="jxr_linenumber" name="L167" href="#L167">167</a> 				setBase_Class((org.eclipse.uml2.uml.Class)newValue);
<a class="jxr_linenumber" name="L168" href="#L168">168</a> 				<strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L169" href="#L169">169</a> 		}
<a class="jxr_linenumber" name="L170" href="#L170">170</a> 		<strong class="jxr_keyword">super</strong>.eSet(featureID, newValue);
<a class="jxr_linenumber" name="L171" href="#L171">171</a> 	}
<a class="jxr_linenumber" name="L172" href="#L172">172</a> 
<a class="jxr_linenumber" name="L173" href="#L173">173</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L174" href="#L174">174</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L175" href="#L175">175</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L176" href="#L176">176</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L177" href="#L177">177</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L178" href="#L178">178</a> 	@Override
<a class="jxr_linenumber" name="L179" href="#L179">179</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> eUnset(<strong class="jxr_keyword">int</strong> featureID) {
<a class="jxr_linenumber" name="L180" href="#L180">180</a> 		<strong class="jxr_keyword">switch</strong> (featureID) {
<a class="jxr_linenumber" name="L181" href="#L181">181</a> 			<strong class="jxr_keyword">case</strong> Ucm_technicalpoliciesPackage.LANGUAGE__BASE_CLASS:
<a class="jxr_linenumber" name="L182" href="#L182">182</a> 				setBase_Class((org.eclipse.uml2.uml.Class)<strong class="jxr_keyword">null</strong>);
<a class="jxr_linenumber" name="L183" href="#L183">183</a> 				<strong class="jxr_keyword">return</strong>;
<a class="jxr_linenumber" name="L184" href="#L184">184</a> 		}
<a class="jxr_linenumber" name="L185" href="#L185">185</a> 		<strong class="jxr_keyword">super</strong>.eUnset(featureID);
<a class="jxr_linenumber" name="L186" href="#L186">186</a> 	}
<a class="jxr_linenumber" name="L187" href="#L187">187</a> 
<a class="jxr_linenumber" name="L188" href="#L188">188</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L189" href="#L189">189</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L190" href="#L190">190</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L191" href="#L191">191</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L192" href="#L192">192</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L193" href="#L193">193</a> 	@Override
<a class="jxr_linenumber" name="L194" href="#L194">194</a> 	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">boolean</strong> eIsSet(<strong class="jxr_keyword">int</strong> featureID) {
<a class="jxr_linenumber" name="L195" href="#L195">195</a> 		<strong class="jxr_keyword">switch</strong> (featureID) {
<a class="jxr_linenumber" name="L196" href="#L196">196</a> 			<strong class="jxr_keyword">case</strong> Ucm_technicalpoliciesPackage.LANGUAGE__BASE_CLASS:
<a class="jxr_linenumber" name="L197" href="#L197">197</a> 				<strong class="jxr_keyword">return</strong> base_Class != <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L198" href="#L198">198</a> 		}
<a class="jxr_linenumber" name="L199" href="#L199">199</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">super</strong>.eIsSet(featureID);
<a class="jxr_linenumber" name="L200" href="#L200">200</a> 	}
<a class="jxr_linenumber" name="L201" href="#L201">201</a> 
<a class="jxr_linenumber" name="L202" href="#L202">202</a> 	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L203" href="#L203">203</a> <em class="jxr_javadoccomment">	 * &lt;!-- begin-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L204" href="#L204">204</a> <em class="jxr_javadoccomment">	 * &lt;!-- end-user-doc --&gt;</em>
<a class="jxr_linenumber" name="L205" href="#L205">205</a> <em class="jxr_javadoccomment">	 * @generated</em>
<a class="jxr_linenumber" name="L206" href="#L206">206</a> <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L207" href="#L207">207</a> 	@Override
<a class="jxr_linenumber" name="L208" href="#L208">208</a> 	@SuppressWarnings(<span class="jxr_string">"unchecked"</span>)
<a class="jxr_linenumber" name="L209" href="#L209">209</a> 	<strong class="jxr_keyword">public</strong> Object eInvoke(<strong class="jxr_keyword">int</strong> operationID, EList&lt;?&gt; arguments) <strong class="jxr_keyword">throws</strong> InvocationTargetException {
<a class="jxr_linenumber" name="L210" href="#L210">210</a> 		<strong class="jxr_keyword">switch</strong> (operationID) {
<a class="jxr_linenumber" name="L211" href="#L211">211</a> 			<strong class="jxr_keyword">case</strong> Ucm_technicalpoliciesPackage.LANGUAGE___CONSTRAINT1__DIAGNOSTICCHAIN_MAP:
<a class="jxr_linenumber" name="L212" href="#L212">212</a> 				<strong class="jxr_keyword">return</strong> Constraint1((DiagnosticChain)arguments.get(0), (Map&lt;Object, Object&gt;)arguments.get(1));
<a class="jxr_linenumber" name="L213" href="#L213">213</a> 		}
<a class="jxr_linenumber" name="L214" href="#L214">214</a> 		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">super</strong>.eInvoke(operationID, arguments);
<a class="jxr_linenumber" name="L215" href="#L215">215</a> 	}
<a class="jxr_linenumber" name="L216" href="#L216">216</a> 
<a class="jxr_linenumber" name="L217" href="#L217">217</a> } <em class="jxr_comment">//LanguageImpl</em>
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
